org.eclipse.oomph.resources.backend

## Interface BackendSystem.IFactory

- All Known Implementing Classes:
    LocalBackendSystem.Factory
  Enclosing class:
    BackendSystem

      public static interface BackendSystem.IFactory

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `BackendSystem.IFactory.Registry`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BackendSystem` | `createBackendSystem(URI systemURI)`

- - ### Method Detail

    - #### createBackendSystem

          BackendSystem createBackendSystem(URI systemURI)
                                            throws BackendException

      Throws:
        `BackendException`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html